package com.gic.cloud.data.hook.api.dto;

import com.gic.cloud.data.hook.api.entity.Global;

import java.io.Serializable;

/** 自助查询表定义 DTO
 * @author Sam.Z
 */
public class FlatQueryTable implements Serializable {


	/** 表编号 */
	protected int id = 0;

	/** 表编号
	 * @return
	 */
	public int getId() {
		return id;
	}

	/** 表编号
	 * @param id
	 */
	public void setId(int id) {
		this.id = id;
	}

	/** 表名编号 */
	protected String tableId = "";

	/** 表名编号
	 * @return
	 */
	public String getTableId() {
		return tableId;
	}

	/** 表名编号
	 * @param tableId
	 */
	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	/** 表名称 */
	protected String name = "";

	/** 表名称
	 * @return
	 */
	public String getName() {
		return name;
	}

	/** 表名称
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/** 表描述 */
	protected String description = "";

	/** 表描述
	 * @return
	 */
	public String getDescription() {
		return description;
	}

	/** 表描述
	 * @param description
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/** 点击量计数（所有用户） */
	protected Integer clickCount = 0;

	/** 点击量计数（所有用户）
	 * @return
	 */
	public Integer getClickCount() {
		return clickCount;
	}

	/** 点击量计数（所有用户）
	 * @param clickCount
	 */
	public void setClickCount(Integer clickCount) {
		this.clickCount = clickCount;
	}

	/** 生成的下载任务计数（所有用户）*/
	protected Integer downloadCount = 0;

	/** 生成的下载任务计数（所有用户）
	 * @return
	 */
	public Integer getDownloadCount() {
		return downloadCount;
	}

	/** 生成的下载任务计数（所有用户）
	 * @param downloadCount
	 */
	public void setDownloadCount(Integer downloadCount) {
		this.downloadCount = downloadCount;
	}

	/** 是否收藏 */
	protected String isFavo = Global.NO;

	/** 是否收藏
	 * @return
	 */
	public String getIsFavo() {
		return isFavo;
	}

	/** 是否收藏
	 * @param isFavo
	 */
	public void setIsFavo(String isFavo) {
		this.isFavo = isFavo;
	}



}
