package com.gic.cloud.data.hook.service;

import com.gic.data.shield.SdkEnv;
import com.gic.data.shield.decrypt.DataDecryptionClient;
import com.gic.data.shield.exception.DecryptException;
import org.springframework.stereotype.Service;

public class DecryptUtils {

	private static DataDecryptionClient decryptionClient = null;

	private static DecryptUtils instance = null;

	static {
		DataDecryptionClient.setEnv(SdkEnv.PROD);
		decryptionClient = new DataDecryptionClient();
	}

	private DecryptUtils() {
		instance = this;
//		DataDecryptionClient.setEnv(SdkEnv.DEV);
//		decryptionClient = new DataDecryptionClient();
	}


	public static DecryptUtils getInstance() {
		//DataDecryptionClient.setEnv(SdkEnv.DEV);
		//DataDecryptionClient.setEnv(SdkEnv.DEV);
		if (instance == null) instance = new DecryptUtils();
		return instance;
	}

	public static String decrypt(String encryptString) {
		try {
			String result = decryptionClient.decrypt(encryptString);
			return result;
		} catch (DecryptException e) {
			e.printStackTrace();
			return "";
		}
	}


}
